# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Links Awakening DX Template

game: Links Awakening DX
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Links Awakening DX: 2.0.1 # Version of the world required for this yaml to work as expected.

Links Awakening DX:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  logic:
    # Affects where items are allowed to be placed.
    # 
    # **Normal:** Playable without using any tricks or glitches. Can require
    # knowledge from a vanilla playthrough, such as how to open Color Dungeon.
    # 
    # **Hard:** More advanced techniques may be required, but glitches are not.
    # Examples include tricky jumps, killing enemies with only pots.
    # 
    # **Glitched:** Advanced glitches and techniques may be required, but
    # extremely difficult or tedious tricks are not required. Examples include
    # Bomb Triggers, Super Jumps and Jesus Jumps.
    # 
    # **Hell:** Obscure knowledge and hard techniques may be required. Examples
    # include featherless jumping with boots and/or hookshot, sequential pit
    # buffers and unclipped superjumps. Things in here can be extremely hard to do
    # or very time consuming.
    normal: 50
    hard: 0
    glitched: 0
    hell: 0

  goal:
    # The Goal of the game.
    # 
    # **Instruments:** The Wind Fish's Egg will only open if you have the required
    # number of Instruments of the Sirens, and play the Ballad of the Wind Fish.
    # 
    # **Seashells:** The Egg will open when you bring 20 seashells. The Ballad and
    # Ocarina are not needed.
    # 
    # **Open:** The Egg will start pre-opened.
    instruments: 50
    seashells: 0
    open: 0

  instrument_count:
    # Sets the number of instruments required to open the Egg.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-8: 0 # random value between 0 and 8

  stealing:
    # Puts stealing from the shop in logic if the player has a sword.
    in_logic: 0
    out_of_logic: 50
    disabled: 0

  ########################
  # Gameplay Adjustments #
  ########################
  in_game_hints:
    # When enabled, owl statues and library books may indicate the location of
    # your items in the multiworld.
    'false': 0
    'true': 50

  tarins_gift:
    # **Local Progression:** Forces Tarin's gift to be an item that immediately
    # opens up local checks. Has little effect in single player games, and isn't
    # always necessary with randomized entrances.
    # 
    # **Bush Breaker:** Forces Tarin's gift to be an item that can destroy bushes.
    # 
    # **Any Item:** Tarin's gift can be any item for any world
    local_progression: 50
    bush_breaker: 0
    any_item: 0

  hard_mode:
    # **Oracle:** Less iframes and health from drops. Bombs damage yourself. Water
    # damages you without flippers. No pieces of power or acorns.
    # 
    # **Hero:** Switch version hero mode, double damage, no heart/fairy drops.
    # 
    # **OHKO:** You die on a single hit, always.
    none: 50
    oracle: 0
    hero: 0
    ohko: 0

  trendy_game:
    # **Easy:** All of the items hold still for you.
    # 
    # **Normal:** The vanilla behavior.
    # 
    # **Hard:** The trade item also moves.
    # 
    # **Harder:** The items move faster.
    # 
    # **Hardest:** The items move diagonally.
    # 
    # **Impossible:** The items move impossibly fast, may scroll on and off the
    # screen.
    easy: 0
    normal: 50
    hard: 0
    harder: 0
    hardest: 0
    impossible: 0

  ################
  # World Layout #
  ################
  overworld:
    # **Open Mabe:** Replaces rock on the east side of Mabe Village with bushes,
    # allowing access to Ukuku Prairie without Power Bracelet.
    normal: 50
    open_mabe: 0

  warps:
    # **Improved:** Adds remake style warp screen to the game. Choose your warp
    # destination on the map after jumping in a portal and press *B* to select.
    # 
    # **Improved Additional:** Improved warps, and adds a warp point at Crazy
    # Tracy's house (the Mambo teleport spot) and Eagle's Tower.
    vanilla: 50
    improved: 0
    improved_additional: 0

  experimental_dungeon_shuffle:
    # Randomizes dungeon entrances with each other.
    'false': 50
    'true': 0

  experimental_entrance_shuffle:
    # Randomizes where overworld entrances lead.
    # 
    # **Simple:** Single-entrance caves/houses that have items are shuffled
    # amongst each other.
    # 
    # If *Dungeon Shuffle* is enabled, then dungeons will be shuffled with all the
    # non-connector entrances in the pool. Note, some entrances can lead into water, use
    # the warp-to-home from the save&quit menu to escape this.
    none: 50
    simple: 0

  #############
  # Item Pool #
  #############
  shuffle_instruments:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    # 
    # **Vanilla:** The item will be in its vanilla location in your world.
    original_dungeon: 0
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0
    vanilla: 50

  shuffle_nightmare_keys:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    original_dungeon: 50
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0

  shuffle_small_keys:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    original_dungeon: 50
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0

  shuffle_maps:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    original_dungeon: 50
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0

  shuffle_compasses:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    original_dungeon: 50
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0

  shuffle_stone_beaks:
    # **Original Dungeon:** The item will be within its original dungeon.
    # 
    # **Own Dungeons:** The item will be within a dungeon in your world.
    # 
    # **Own World:** The item will be somewhere in your world.
    # 
    # **Any World:** The item could be anywhere.
    # 
    # **Different World:** The item will be somewhere in another world.
    original_dungeon: 50
    own_dungeons: 0
    own_world: 0
    any_world: 0
    different_world: 0

  tradequest:
    # Trade quest items are randomized. Each NPC takes its normal trade quest
    # item and gives a randomized item in return.
    'false': 50
    'true': 0

  rooster:
    # Adds the rooster to the item pool. If disabled, the overworld will be
    # modified so that any location requiring the rooster is accessible by other
    # means.
    'false': 0
    'true': 50

  stabilize_item_pool:
    # By default, some rupees in the item pool are randomly swapped with bombs,
    # arrows, powders, or capacity upgrades. This set of items is also used as
    # filler. This option disables that swapping and makes *Nothing* the filler
    # item.
    'false': 50
    'true': 0

  ###############################
  # Quality of Life & Aesthetic #
  ###############################
  nag_messages:
    # Controls if nag messages are shown when rocks and crystals are touched.
    # Useful for glitches, annoying for everything else.
    'false': 50
    'true': 0

  quickswap:
    # Instead of opening the map, the *SELECT* button swaps the top item of your inventory on to your *A* or *B* button.
    none: 50
    a: 0
    b: 0

  boots_controls:
    # Adds an additional button to activate Pegasus Boots (does nothing if you
    # haven't picked up your boots!)
    # 
    # **Vanilla:** Nothing changes, you have to equip the boots to use them.
    # 
    # **Bracelet:** Holding down the button for the bracelet also activates boots
    # (somewhat like Link to the Past).
    # 
    # **Press A:** Holding down A activates boots.
    # 
    # **Press B:** Holding down B activates boots.
    vanilla: 50
    bracelet: 0
    press_a: 0
    press_b: 0

  foreign_item_icons:
    # Choose how to display foreign items.
    # 
    # **Guess By Name:** Foreign items can look like any Link's Awakening item.
    # 
    # **Indicate Progression:** Foreign items are either a Piece of Power
    # (progression) or Guardian Acorn (non-progression).
    guess_by_name: 50
    indicate_progression: 0

  gfxmod:
    # If enabled, the patcher will prompt the user for a modification file to change sprites in the game and optionally some text.
    'false': 50
    'true': 0

  link_palette:
    # Sets Link's palette.
    # 
    # A-D are color palettes usually used during the damage animation and can
    # change based on where you are.
    normal: 50
    green: 0
    yellow: 0
    red: 0
    blue: 0
    invert_a: 0
    invert_b: 0
    invert_c: 0
    invert_d: 0

  palette:
    # Sets the palette for the game.
    # 
    # Note: A few places aren't patched, such as the menu and a few color dungeon
    # tiles.
    # 
    # **Normal:** The vanilla palette.
    # 
    # **1-Bit:** One bit of color per channel.
    # 
    # **2-Bit:** Two bits of color per channel.
    # 
    # **Greyscale:** Shades of grey.
    # 
    # **Pink:** Aesthetic.
    # 
    # **Inverted:** Inverted.
    normal: 50
    1bit: 0
    2bit: 0
    greyscale: 0
    pink: 0
    inverted: 0

  ap_title_screen:
    # Enables AP specific title screen and disables the intro cutscene.
    'false': 0
    'true': 50

  text_shuffle:
    # Shuffles all text in the game.
    'false': 50
    'true': 0

  text_mode:
    # **Fast:** Makes text appear twice as fast.
    normal: 0
    fast: 50

  music:
    # **Vanilla:** Regular Music
    # 
    # **Shuffled:** Shuffled Music
    # 
    # **Off:** No music
    vanilla: 50
    shuffled: 0
    'off': 0

  music_change_condition:
    # Controls how the music changes.
    # 
    # **Sword:** When you pick up a sword, the music changes.
    # 
    # **Always:** You always have the post-sword music.
    sword: 0
    always: 50

  low_hp_beep:
    # Slows or disables the low health beeping sound.
    default: 50
    slow: 0
    none: 0

  no_flash:
    # Remove the flashing light effects from Mamu, shopkeeper and MadBatter.
    # Useful for capture cards and people that are sensitive to these things.
    'false': 0
    'true': 50

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
